<?php

if( defined( 'FOR_XOOPS_LANG_CHECKER' ) ) $mydirname = 'protector' ;
$constpref = '_MI_' . strtoupper( $mydirname ) ;

if( defined( 'FOR_XOOPS_LANG_CHECKER' ) || ! defined( $constpref.'_LOADED' ) ) {




// Appended by Xoops Language Checker -GIJOE- in 2008-11-21 04:44:31
define($constpref.'_DEFAULT_LANG','Default language');
define($constpref.'_DEFAULT_LANGDSC','Specify the language set to display messages before processing common.php');
define($constpref.'_BWLIMIT_COUNT','Bandwidth limitation');
define($constpref.'_BWLIMIT_COUNTDSC','Specify the max access to mainfile.php during watching time. This value should be 0 for normal environments which have enough CPU bandwidth. The number fewer than 10 will be ignored.');

// Appended by Xoops Language Checker -GIJOE- in 2007-07-30 16:31:33
define($constpref.'_BANIP_TIME0','مدة  المنع  للمطرودين .. بالثواني');
define($constpref.'_OPT_BIPTIME0','وقف  نشاط العضو مؤقتا');
define($constpref.'_DOSOPT_BIPTIME0','وقف  نشاط العضو مؤقتا');

// Appended by Xoops Language Checker -GIJOE- in 2007-04-08 04:24:49
define($constpref.'_ADMENU_MYBLOCKSADMIN','التصاريح');

define( $constpref.'_LOADED' , 1 ) ;

// The name of this module
define($constpref."_NAME","الحارس لزوبس");

// A brief description of this module
define($constpref."_DESC","هذا البرنامج يوفر لك حماية ضد عمليات الاختراق المختلفة والحقن وهجوم الدوس  . طبعا ليس كل انواعالهجوم  ولكن للمشهور والخطير منها");

// Menu
define($constpref."_ADMININDEX","الرئيسية");
define($constpref."_ADVISORY","تفحص الحماية");
define($constpref."_PREFIXMANAGER","ادارة  قاعدة البيانات");

// Configs
define($constpref.'_GLOBAL_DISBL','معطل مؤقتا');
define($constpref.'_GLOBAL_DISBLDSC','نعم لتعطيل الحماية ولا لتشغيل الحماية ينفعك<br /> تفعيل هذا الخيار في حالة رغبت اصلاح مشكلة معينة ولاتسى ان تقوم بتفعيلة بعد حل المشكلة');

define($constpref.'_RELIABLE_IPS','الايبيهات الموثوق منها');
define($constpref.'_RELIABLE_IPSDSC','ضع بين كل ايب واخر علامة | وعلامة ^ في بداية كل سطر جديد');

define($constpref.'_LOG_LEVEL','مستوى السجل');
define($constpref.'_LOG_LEVELDSC','');

define($constpref.'_LOGLEVEL0','لايوجد');
define($constpref.'_LOGLEVEL15','بسيط');
define($constpref.'_LOGLEVEL63','ابسط');
define($constpref.'_LOGLEVEL255','كلي');

define($constpref.'_HIJACK_TOPBIT','الحماية من  سرقة واستخدم كوكيز المدير او اي عضو');
define($constpref.'_HIJACK_TOPBITDSC','للحماية من الحقن وعمليات سرقة الكوكيز<br />الوضعي الافتراضي هو 32 (ستم حماية الكل)<br />في حالة لم تكن تملك ايبي ثابت<br /> اذ كان الايبي الذي تستخدم بين  192.168.0.0-192.168.0.255, ضع 24 في هذة الحالة وهو الافضل');
define($constpref.'_HIJACK_DENYGP','المجموعة الغير مصرح بمنعها');
define($constpref.'_HIJACK_DENYGPDSC','مضاد سرقة الكوكيز:<br />اختار المجموعة التي ترغب  بعدم السماح بمنعها <br />(الافضل اختيار  مجموعة الادار او مدير الموقع)');
define($constpref.'_SAN_NULLBYTE','تعقيم الاوامر');
define($constpref.'_SAN_NULLBYTEDSC','غالب المدخلات المحتوية على الرمز "\\0" فهي غالبا تشير الي عملية تخريبية<br />في حالة وجود مثل هذة الاوامر سيتم تحويلها الي فراغات<br />(تفعيل هذا الامر في غاية الاهمية)');
define($constpref.'_DIE_NULLBYTE','في حالة وجود اوامر خبيثة سيتم الخروج من الامر');
define($constpref.'_DIE_NULLBYTEDSC','غاب المدخلات المحتوية على الرمز "\\0" فهي غالبا تشير الي عملية تخريبية<br />في حالة وجود مثل هذة الاوامر سيتم تحويلها الي فراغات<br />(تفعيل هذا الامر في غاية الاهمية)');
define($constpref.'_DIE_BADEXT','توقف !! في حالة اكتشاف ملف  ضار تم رفعة بالموقع');
define($constpref.'_DIE_BADEXTDSC','في حالة محاولة رفع اي ملف غير مصرح به مثلا ملفات البي اتش بي سيقوم البرنامج بالخروج من الموقع وابطال امر الرفع<br />قم بتعطيل الامر اذ كنت ترغب برفع ملفات ملفات بامتدادي بي اتش بي');
define($constpref.'_CONTAMI_ACTION','العمل في حالة وجود تلوث وامر خبيث');
define($constpref.'_CONTAMI_ACTIONDS','اختار الامر الذي تريد ضهورة للمهاجم في حالة اكتشاف امر خبيث  الافضل اختيار ظهور صفحة بيضاء  فارغة');
define($constpref.'_ISOCOM_ACTION','العمل في حالة اكتشاف اوامر غير مصرح بها في التعليقات');
define($constpref.'_ISOCOM_ACTIONDSC','مانع الحقن في قاعدة البيانات<br />اختار الامر في حالة اكتشاف امر خبيث بالتعليق مثل "/*" ان وجد<br />"تعقيم الامر" يمعني اظافة  الرمز "*/" في النهاية<br />(ينصح باختيار تعقيم الامر)');
define($constpref.'_UNION_ACTION',' Union العمل في حالة وجود اوامر الاتحاد ');
define($constpref.'_UNION_ACTIONDSC','مضاد هجمات حقن قاعدة البيانات:<br />العمل في حالة اكتشاف مثل هذا الحقن بالقاعدة.<br />"uni-on" الي "union"تعقيم الامر" بمعني تغير كلمة" <br />(ينصح باختيار تعقيم الامر)');
define($constpref.'_ID_INTVAL',' Select ID العمل في حالة طلب امر من قاعدة البيانات  مثلا طلب الامر ');
define($constpref.'_ID_INTVALDSC','امر غير شرعي "*id" سيعتبر الامر<br />هذا الخيار سيحميك من بعض الهجمات  والحقن لقاعدة البيانات<br />من الافضل تعطيل هذا الامر حيث انه يتسبب بايقاف عمل بعض الموديلات الاخرى مثل قوائم البريد وموديلات الفيديو');
define($constpref.'_FILE_DOTDOT','الحماية من المجلدات المتنقلة');
define($constpref.'_FILE_DOTDOTDSC','منع كل الاوامر التى تكتشف على انها اوامر نقل مجلدات بشكل متكرر');

define($constpref.'_BF_COUNT','مانع تكرار اسم الدخول');
define($constpref.'_BF_COUNTDSC','ضع عدد المحاولات التي يقوم بها عذو معين الدخول باسمه وكلمة السر بشكل خاطيء قبل طرده من الموقع واعتباره عضو يحاول سرقة باسورد عضو اخر');

define($constpref.'_DOS_SKIPMODS','الموديلات المستثناة من محركات البحث وتفحص الدوس');
define($constpref.'_DOS_SKIPMODSDSC','ضع اسماء الموديلات وافصلها بعلامة|. هذا الاختيار ينفع في حالة وجود موديلات دردشة ومحادثة ');

define($constpref.'_DOS_EXPIRE','مراقبة مرات تحميل الصفحات بالثواني');
define($constpref.'_DOS_EXPIREDSC','f5 منع هجمات تعدد طلب الصفحة الاولي والامرالذي يعيد تحديث الصفحة من الكيبورد ');

define($constpref.'_DOS_F5COUNT','F5  عدد المرات لاحتسابها هجمة من قبل  الامر');
define($constpref.'_DOS_F5COUNTDSC','اعادة تحميل الصفحة اكثر من الرقم المذكور بالاعلى سيعتبر هجمة  من خلال الدوس');
define($constpref.'_DOS_F5ACTION','F5  العمل المضاد حالة اكتشاف هجمة من نوع');

define($constpref.'_DOS_CRCOUNT','عدد عملية الفهرسة من قبل محركات البحث');
define($constpref.'_DOS_CRCOUNTDSC','لمنع محركات البحث السيئة من احداث صغط على الموقع');
define($constpref.'_DOS_CRACTION','العمل في حالة اكتشاف محركات فهرسة او البحث مسببة لضغط على الموقع');

define($constpref.'_DOS_CRSAFE','محركات البحث المحبوبة والمرحب بها');
define($constpref.'_DOS_CRSAFEDSC','محركات البحث المحبوبة والتي تعتبر ثقة ولا تسبب اذي للموقع مثل محرك بحث الياهو والجوجل ان كان لديك محركات اخرى موثوقة ضعها في الاعلى ليتم التعامل معها على انها حميدة');

define($constpref.'_OPT_NONE','لاشيء');
define($constpref.'_OPT_SAN','تعقيم الامر');
define($constpref.'_OPT_EXIT','صفحة فارغة بيضاء');
define($constpref.'_OPT_BIP','طرد الايبي');

define($constpref.'_DOSOPT_NONE','لاشيء');
define($constpref.'_DOSOPT_SLEEP','عد م استجابة');
define($constpref.'_DOSOPT_EXIT','صفحة فارغة بيضاء');
define($constpref.'_DOSOPT_BIP','طرد الايبي');
define($constpref.'_DOSOPT_HTA','طرد بواسطة ملف.htaccess(لاصحاب الخبرة)');

define($constpref.'_BIP_EXCEPT','المجموعة التي لن يتم طردها ابدا');
define($constpref.'_BIP_EXCEPTDSC','اي عضو بهة المجموعة لن يتم طردة وينصح باختيار مجموعة الادارة');

define($constpref.'_DISABLES','تعطيل بعض المزاياء من مجلة زوبس ');

define($constpref.'_BIGUMBRELLA','تفعيل anti-XSS (المضلة)');
define($constpref.'_BIGUMBRELLADSC',' هذا النوع من الهجمات يقوم بسرقة الكوكيز من خلال اومر جافا مختلفة ويقوم بهجمات  اخرى يعتبر من اخطر الهجمات  لسرقة بريد العضو على الياهو والهوتميل وغيرها');

define($constpref.'_SPAMURI4U',' Spam عدد الروابط باي موضوع كاتبة عضو مسجل بالموقع  قبل اعتبارها سبام');
define($constpref.'_SPAMURI4UDSC','هذا الامر ينفع في حالة وجود زوار يضعون روابط متعدده  بقصد الدعاية ضع رقم صفر لتعطيل الامر');
define($constpref.'_SPAMURI4G','Spam عدد الروابط باي موضوع كاتبة عضو زائر بالموقع  قبل اعتبارها سبام');
define($constpref.'_SPAMURI4GDSC','هذا الامر ينفع في حالة وجود زوار يضعون روابط متعدده  بقصد الدعاية ضع رقم صفر لتعطيل الامر');

}

?>